> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 打開賬單門戶

> 為用戶的個人賬單或組織的團隊賬單生成一個短期有效的客戶門戶 URL。

打開託管賬單門戶，供用戶更新已保存的銀行卡、查看發票或下載收據。可以將門戶範圍限定為個人賬單客戶，也可以限定為團隊（組織）賬單客戶。

## 身份驗證

需要攜帶具有 `billing` 權限範圍的 Bearer 令牌。參見
[身份驗證](/api-reference/authentication)。

## 請求體

<ParamField body="scope" type="string">
  `"user"`（個人身份下的默認值）或 `"org"`（當調用方處於某個團隊內且擁有
  `manageBilling` 權限時的默認值）。團隊範圍還要求該團隊已預先綁定付款方式——
  在為賬單充值之前嘗試訪問團隊門戶的調用方，會收到 409
  `team_billing_setup_required` 錯誤，而不是正常響應。
</ParamField>

## 示例

```bash curl theme={null}
curl -X POST "https://api.hitheo.ai/api/v1/billing/portal" \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "scope": "org" }'
```

```typescript SDK theme={null}
const { portal_url } = await theo.billingPortal({ scope: "org" });
window.open(portal_url, "_blank");
```

## 響應

```json theme={null}
{
  "portal_url": "https://portal.hitheo.ai/session/...",
  "scope": "org"
}
```

## 錯誤

| 狀態碼 | 錯誤碼 | 含義 |
| - | - | - |
| 400 | `org_context_required` | 請求了 `scope: "org"`，但當前沒有活躍團隊。 |
| 403 | `permission_denied` | 調用方在當前活躍團隊中不具備 `manageBilling` 權限。 |
| 409 | `team_billing_setup_required` | 團隊尚未綁定付款方式——請先完成一次結賬。 |
| 503 | `billing_unavailable` | 當前部署未配置賬單功能。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.